Index: backend/postmaster/postmaster.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/postmaster/postmaster.c,v
retrieving revision 1.402
diff -c -r1.402 postmaster.c
*** backend/postmaster/postmaster.c	3 Jun 2004 02:08:03 -0000	1.402
--- backend/postmaster/postmaster.c	7 Jun 2004 20:56:52 -0000
***************
*** 830,835 ****
--- 830,839 ----
  	 */
  	StartupPID = StartupDataBase();

+ #ifdef EXEC_BACKEND
+ 	write_nondefault_variables(PGC_POSTMASTER);
+ #endif
+
  	status = ServerLoop();

  	/*
Index: backend/utils/misc/guc.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/utils/misc/guc.c,v
retrieving revision 1.210
diff -c -r1.210 guc.c
*** backend/utils/misc/guc.c	30 May 2004 23:40:38 -0000	1.210
--- backend/utils/misc/guc.c	7 Jun 2004 20:56:10 -0000
***************
*** 4454,4468 ****

  	for (;;)
  	{
  		if ((varname = read_string_with_null(fp)) == NULL)
  			break;
!
  		if ((varvalue = read_string_with_null(fp)) == NULL)
  			elog(FATAL, "invalid format of exec config params file");
  		if (fread(&varsource, sizeof(varsource), 1, fp) == 0)
  			elog(FATAL, "invalid format of exec config params file");

! 		(void) set_config_option(varname, varvalue, PGC_POSTMASTER,
  								 varsource, false, true);
  		free(varname);
  		free(varvalue);
--- 4453,4471 ----

  	for (;;)
  	{
+ 		struct config_generic *record;
+
  		if ((varname = read_string_with_null(fp)) == NULL)
  			break;
!
! 		if ((record = find_option(varname)) == NULL)
! 			elog(FATAL, "failed to locate variable %s in exec config params file",varname);
  		if ((varvalue = read_string_with_null(fp)) == NULL)
  			elog(FATAL, "invalid format of exec config params file");
  		if (fread(&varsource, sizeof(varsource), 1, fp) == 0)
  			elog(FATAL, "invalid format of exec config params file");

! 		(void) set_config_option(varname, varvalue, record->context,
  								 varsource, false, true);
  		free(varname);
  		free(varvalue);

